ICU 68.2: icu::number::impl::Usage Class Reference

ICU 68.2 68.2

Public Member Functions | Friends
icu::number::impl::Usage Class Reference

Manages NumberFormatterSettings::usage()'s char* instance on the heap. More...

`#include <numberformatter.h>`

Inheritance diagram for icu::number::impl::Usage:

## Public Member Functions
| Usage (const Usage &other)
Usage & | operator= (const Usage &other)
| Usage (Usage &&src) U_NOEXCEPT
Usage & | operator= (Usage &&src) U_NOEXCEPT
| ~Usage ()
int16_t | length () const
void | set (StringPiece value)
bool | isSet () const

## Friends
class | impl::NumberFormatterImpl
class | impl::GeneratorHelpers
struct | impl::MacroProps

## Detailed Description

Manages NumberFormatterSettings::usage()'s char* instance on the heap.

Internal:
  Do not use. This API is for internal use only.

Definition at line 1139 of file numberformatter.h.

## Constructor & Destructor Documentation

## ◆ Usage() [1/2]

icu::number::impl::Usage::Usage | ( | const Usage & | other | ) |

Internal:
  Do not use. This API is for internal use only.

## ◆ Usage() [2/2]

icu::number::impl::Usage::Usage | ( | Usage && | src | ) |

Internal:
  Do not use. This API is for internal use only.

## ◆ ~Usage()

icu::number::impl::Usage::~Usage | ( |  | ) |

Internal:
  Do not use. This API is for internal use only.

## Member Function Documentation

## ◆ isSet()

bool icu::number::impl::Usage::isSet | ( |  | ) | const
| inline

Internal:
  Do not use. This API is for internal use only.

Definition at line 1168 of file numberformatter.h.

## ◆ length()

int16_t icu::number::impl::Usage::length | ( | void |  | ) | const
| inline

Internal:
  Do not use. This API is for internal use only.

Definition at line 1160 of file numberformatter.h.

## ◆ operator=() [1/2]

Usage& icu::number::impl::Usage::operator= | ( | const Usage & | other | ) |

Internal:
  Do not use. This API is for internal use only.

## ◆ operator=() [2/2]

Usage& icu::number::impl::Usage::operator= | ( | Usage && | src | ) |

Internal:
  Do not use. This API is for internal use only.

## ◆ set()

void icu::number::impl::Usage::set | ( | StringPiece | value | ) |

Internal:
  Do not use. This API is for internal use only. Makes a copy of value. Set to "" to unset.

The documentation for this class was generated from the following file:

- numberformatter.h